import request from '@/utils/request'

// 查询AI 外呼角色列表
export function listAiSopCall(query) {
  return request({
    url: '/aiSopCall/aiSopCall/list',
    method: 'get',
    params: query
  })
}

// 查询AI 外呼角色详细
export function getAiSopCall(id) {
  return request({
    url: '/aiSopCall/aiSopCall/' + id,
    method: 'get'
  })
}

// 新增AI 外呼角色
export function addAiSopCall(data) {
  return request({
    url: '/aiSopCall/aiSopCall',
    method: 'post',
    data: data
  })
}

// 修改AI 外呼角色
export function updateAiSopCall(data) {
  return request({
    url: '/aiSopCall/aiSopCall',
    method: 'put',
    data: data
  })
}

// 删除AI 外呼角色
export function delAiSopCall(id) {
  return request({
    url: '/aiSopCall/aiSopCall/' + id,
    method: 'delete'
  })
}

// 导出AI 外呼角色
export function exportAiSopCall(query) {
  return request({
    url: '/aiSopCall/aiSopCall/export',
    method: 'get',
    params: query
  })
}
